// biblioteca.h - Declaración de la clase CBiblioteca

#if !defined( _CBIBLI_H_ )
#define _CBIBLI_H_

#include <vector>
#include "ficha.h"        // clase CBiblioteca

/////////////////////////////////////////////////////////////////
// Clase biblioteca
class CBiblioteca
{
  private:
    std::vector<CFicha *> ficha;
  public:
    // Constructor
    CBiblioteca(int = 100);
    // Destructor
    ~CBiblioteca();
    // Constructor copia
    CBiblioteca(const CBiblioteca&);
    // Operador de asignación
    CBiblioteca& operator=(const CBiblioteca&);
    // Operador de indexación
    CFicha *operator[](int);
    // Otras funciones
    void AnyadirFicha(CFicha *);
    int longitud();
    friend std::ostream& operator<<(std::ostream&, CFicha *);
    void VisualizarFichas();
    bool eliminar(std::string);
    int buscar(std::string, int);
};

#endif // _CBIBLI_H_
/////////////////////////////////////////////////////////////////
